# Retrieves a TicketingOffer resource.

Retrieves a TicketingOffer resource.

Endpoint: GET /v1/ticketing/offers/{id}
Version: release
Security: JWT

## Security:

  - `JWT` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `id` (string, required)
    Offer identifier

## Response 200:

  - `200` (unknown)
    TicketingOffer resource

## Response 200 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `id` (string, required)
    Example: 0194ad2c-491c-7c9e-b842-10ee940ed6a3

  - `date` (string | null, required)
    Example: 2025-01-27

  - `expiresAt` (string, required)

  - `availabilityCheckRequired` (boolean, required)

  - `availableQuantity` (integer | null, required)
    Example: 4000

  - `realtimePriceRequired` (boolean, required)

  - `price` (object, required)

  - `price.amountInclTax` (string, required)
    Example: 100.00

  - `price.originalAmountInclTax` (string | null, required)
    Example: 120.00

  - `price.currency` (string, required)
    Example: eur

  - `price.purchaseAmountInclTax` (string | null, required)
    Example: 90.00

  - `product` (object, required)
    Products are elements that can be purchased. The price and availability of a product at specific date and for a specific category are specified in the Offer object.

  - `product.@context` (any)

  - `product.@context.@vocab` (string, required)

  - `product.@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `product.@id` (string, required)

  - `product.@type` (string, required)

  - `product.id` (string, required)
    Example: 0194ad2c-491c-7c9e-b842-10ee940ed6a3

  - `product.productBase` (string, required)

  - `product.name` (string, required)
    Example: A great product name

  - `product.description` (string, required)
    Example: A great product description

  - `product.disabled` (boolean, required)

  - `product.options` (array, required)

  - `product.options.code` (string, required)
    Example: zone

  - `product.options.value` (any, required)

  - `product.options.value.id` (string, required)
    Example: 0194ad2c-491c-7c9e-b842-10ee940ed6a3

  - `product.options.value.label` (string, required)

  - `tickets` (array, required)

  - `tickets.id` (string, required)
    Example: 0194cb3b-55d8-7d9f-a344-cee66d7d20dd

  - `tickets.name` (string, required)
    Example: A great offer's ticket name

  - `tickets.description` (string, required)
    Example: A great offer's ticket description

  - `tickets.dateAccess` (boolean, required)
    Indicates whether the ticket provides full-day access (when true) or requires selecting a specific session to attend (when false).

  - `tickets.sessions` (array, required)

  - `tickets.sessions.id` (string, required)
    Example: 0194cb3c-a7c7-7d3d-a335-f1b396083acd

  - `tickets.sessions.occursAt` (string, required)
    Example: 2025-01-27T15:15:20+00:00

  - `tickets.sessions.duration` (integer | null, required)
    Example: 100

  - `tickets.sessions.seatMap` (string | null, required)

  - `tickets.sessions.confirmed` (boolean, required)

  - `tickets.sessions.availableQuantity` (integer | null, required)
    Example: 4000

  - `tickets.sessions.status` (string, required)
    Enum: "unavailable", "on_sale", "sold_out", "expired"

  - `tickets.form` (string | null, required)
    Example: /v1/forms/0195197f-7918-7285-bb4b-7df2b682c3eb

  - `status` (string, required)
    Enum: "unavailable", "on_sale", "sold_out", "expired"

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/ld+json):

  - `@context` (any)

  - `@context.@vocab` (string, required)

  - `@context.hydra` (string, required)
    Enum: "http://www.w3.org/ns/hydra/core#"

  - `@id` (string, required)

  - `@type` (string, required)

  - `title` (string | null, required)
    A short, human-readable summary of the problem.

  - `detail` (string | null, required)
    A human-readable explanation specific to this occurrence of the problem.

  - `status` (integer | null, required)

  - `instance` (string | null, required)
    A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.

  - `type` (string, required)
    A URI reference that identifies the problem type

  - `description` (string | null, required)

